button {
    text-align: center;
    flex-grow: initial;
    width: auto;
}

.button {
    &.bg {
        background-color: var(--item-background);
        color: var(--item-color);
    }
}

.icon-button {
    transition: 0.2s background-color, 0.2s color;

    &:hover {
        background-color: rgba(0, 0, 0, 0.1);
    }
}

icon {
    font-family: 'Material Icons Round';
    font-weight: normal;
    font-style: normal;
    letter-spacing: normal;
    text-transform: none;
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -moz-font-feature-settings: 'liga';
    -moz-osx-font-smoothing: grayscale;
    width: 1em;
    height: 1em;
}

input {
    background-color: var(--item-background);
    color: var(--item-color);
    flex-grow: initial;
    width: 100%;
}

.input {
    &.bg {
        background-color: var(--item-background);
        color: var(--item-color);
    }
}

.notification-view {
    transition: 0.4s transform;

    &:not([show="true"]) {
        transform: scale(0);
    }
}

.overlay {
    pointer-events: none;

    &>* {
        pointer-events: all;
    }
}

select {
    flex-grow: initial;
    width: 100%;
}

.select {
    &.bg {
        background-color: var(--item-background);
        color: var(--item-color);
    }
}

table {
    table-layout: auto;
}

textarea {
    flex-grow: initial;
    width: 100%;
}

.textarea {
    &.bg {
        background-color: var(--item-background);
        color: var(--item-color);
    }
}

@font-face {
    font-family: 'Google Sans Flex';
    src: url('/Assets/Fonts/Google Sans Flex/GoogleSansFlex-VariableFont_GRAD,ROND,opsz,slnt,wdth,wght.ttf');
}

@font-face {
    font-family: 'Josefin Slab';
    src: url('/Assets/Fonts/Josefin Slab/JosefinSlab-VariableFont_wght.ttf');
}

@font-face {
    font-family: 'Noto Sans';
    src: url('/Assets/Fonts/Noto Sans/NotoSans-VariableFont_wdth,wght.ttf');
}

@font-face {
    font-family: 'Noto Serif';
    src: url('/Assets/Fonts/Noto Serif/NotoSerif-VariableFont_wdth,wght.ttf');
}

@font-face {
    font-family: 'Playfair';
    src: url('/Assets/Fonts/Playfair/Playfair-VariableFont_opsz,wdth,wght.ttf');
}

:root {
    line-height: 1.2;
    font-size: 100%;
    font-weight: 300;
    font-family: 'Google Sans Flex';
}